/* Example CSS file */ 
h1{
   margin-top: 1.2rem !important; 
   margin-bottom: 1.0rem !important;
}



.pagetitle{
background: #5cd1ed;
}                        

.pagetitle .container{
    padding:0px;
}

h5{
    margin-top:2rem;
}

blockquote{
    padding-left: 1em;
    margin-left: 1.2em;
    border-left: 2px solid black;
    font-style: italic;
    font-weight: 500;
   
}

.card-body{
    padding-top:0px;
    padding-bottom:0px;
}

.navbar-nav{
    font-size: 1.05rem;
    //line-height: 1.2;
   
}

.lead{
  font-weight: 400;
}

.lead table {
  margin-bottom: 20px;
  border:0px;
  border-spacing: 4px 0px 4px 0px;
}

.lead table td{
    border:0px;
    
}

.lead li{
    //font-size:1rem;
}

.lead .guide li{
    font-size:1rem;
    font-weight:bold;
}

.common h5{
    margin-bottom:0px;
}

.common ul{
    border: 1px solid black;
    padding-top: 0.5rem;
    padding-bottom: 0.75rem;
    border-radius: 0px 6px 6px 6px;
}

.rules-list li{
    font-size:1.25rem;
    margin-bottom: 0.5rem;
    
}

.breadcrumbs{
    margin-top:1rem;
    margin-bottom:3rem;
}

img.ramhead{
    max-width: 40%;
    height: auto;

}

footer p{
    margin:0px;
}



.puzzleheader {
    display:none;
}



.puzzle-list .puzzlebox{

    
    
}
@media(min-width:1200px){
   .puzzle-list .puzzlebox{
      border:1px solid rgba(0, 0, 0, 0.2);
      border-radius: .25rem;
      //padding: .5rem .5rem .5rem .5rem;
      margin:auto;
      margin-bottom: 30px;
      padding: 0.5rem;
   }
   .puzzle{
      border:1px solid rgba(0, 0, 0, 0.2);
      border-radius: .25rem;
      background:#eef2f6; 
      padding: 1rem;
   }
}

.common .badge{
  border-radius: .25rem .25rem 0 0;
}

.puzzle-single-grid-container {
  display: grid;
  min-width: 0;
  grid-template-columns:  0.65fr 4.7fr 0.65fr 0fr;
  aspect-ratio: 2;
}

.puzzle-grid-container {
  display: grid;
  min-width: 0;
  grid-template-columns:  0fr 4.7fr 0.2fr 1.1fr;
  aspect-ratio: 2;
}
  

.board-grid-container {
  display: grid;
  min-width: 0;
  grid-template-columns: 0.56fr 1fr 1fr .16fr 1fr 1fr .16fr 1fr 1fr 0.56fr;
  grid-template-rows: 0.54fr 1fr 1fr .15fr 1fr 1fr .15fr 1fr 1fr 0.55fr;

  /*height:644px;
  width:644px;*/
  aspect-ratio: 1;
  
  //background-image: url("/img/board/board-blue-main.png");
  background-size: cover;
}

.board-grid-container .grid-item {
  display: flex;
  position:relative;
  
  min-width: 0;
  align-items: center;
  justify-content: center;
  xborder:1px solid yellow;
  
}


.magazine-grid-container{
  display: grid;
  width:100%;
  min-width: 0;
  padding-left:0%;
  
  grid-template-columns: 1fr;
  grid-template-rows: .1fr  1fr .1fr 1fr .1fr;
  //border:1px solid red;
   
}

.magazine-grid-container .grid-item {
    display: flex;
    min-width: 0;
    
}

.magazine-grid-container-1 {
  display: grid;
  min-width: 0;
  width: 100%;
  grid-template-columns: .16fr 1fr .23fr 1fr .16fr;
  grid-template-rows: 0.6fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 0.6fr;

   
}

.magazine-grid-container-1 .grid-item{
 //border:1px solid blue;
}


.tray-grid-container{
  display: grid;
  width:100%;
  min-width: 0;
  padding-left:0%;
  
  grid-template-columns: 1fr;
  grid-template-rows: .8fr  1fr .3fr 1fr .3fr 1fr .3fr 1fr .3fr 1fr .3fr 1fr .8fr;
  
 //border:1px solid blue; 
}

.tray-grid-container .grid-item {
    display: flex;
    min-width: 0;
    
}

.tray-grid-container-1{
    display: grid;
    min-width: 0;
    width: 100%;
    
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr;
}

.tray-grid-container-1 .grid-item{
     //border:1px solid red;
}

.tray-grid-container-1 .grid-item img{
     width: 100%;
     height: auto;
     min-height: 0;
     aspect-ratio: 1;
}







.magazine{
  //background-image: url("/img/board/board-blue-cut.png");
  background-size: cover;
  aspect-ratio: 0.55;
}

.puzzle-list .grid-item/*:nth-child(14)*/{
  /*border:1px solid yellow;*/
}




.puzzle-list img.token{
    height: 75%;
    width: 75%;
}



.magazine-grid-container img{
    height: 100%;
    width: 100%;
}

.puzzle-grid-item {
    display: flex;
    min-width: 0;
    //flex-direction: row|column;
    //border:1px solid black;
    
}


.puzzle-grid-item-board{
    aspect-ratio: 1;
}



#puzzle-filter{
    margin-top:20px;
    margin-bottom:20px;

}

img.start-token{
    position:absolute;
}

.puzzle-list img.start-magazine{
    height: 60%;
    width: 60%;
}


img.start-magazine{
    position:absolute;
    top: 70%;
    left: 70%;
}

.puzzlebox .bar{
 padding: .5rem .5rem .5rem .5rem;
}

.puzzlebox .bar p{
    margin:0px;
    margin-top:0em;

} 

.bar table{
width:100%;
}

.carousel-caption {
 background: rgba(50,50,50,0.4);
 //color: rgba(0,0,0,1);
}